cgGetTechniqueName(3)

NAME
cgGetTechniqueName - get a technique's name

SYNOPSIS
  #include <Cg/cg.h>
  const char * cgGetTechniqueName( CGtechnique tech );

PARAMETERS

tech
    The technique.

RETURN VALUES
Returns the NULL-terminated name string for the technique.

Returns NULL if tech is invalid.

DESCRIPTION
cgGetTechniqueName allows the application to retrieve the name of a technique in a Cg effect. This name can be used later to retrieve the technique from the effect using cgGetTechniqueByName.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_TECHNIQUE_HANDLE_ERROR is generated if tech is not a valid technique.

HISTORY
cgGetTechniqueName was introduced in Cg 1.4.

SEE ALSO
the cgGetNamedTechnique manpage, the cgGetFirst manpage, the cgGetNextTechnique manpage